### Method

# Phosh DBusEndSessionDialog complete_open

#### Declaration [src]

    void
    phosh_dbus_end_session_dialog_complete_open (
      PhoshDBusEndSessionDialog* object,
      GDBusMethodInvocation* invocation
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the Open() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.